
	INTERFACE TO FUNCTION setcolor(color)
	INTEGER*2 setcolor[FAR,C,ALIAS:"__setcolor"]
	INTEGER*2 color
	END
 
	INTERFACE TO FUNCTION lineto(x,y)
	INTEGER*2 lineto[FAR,C,ALIAS:"__lineto"],x,y
	END

	INTERFACE TO FUNCTION setpixel(x,y)
	INTEGER*2 setpixel[FAR,C,ALIAS:"__setpixel"],x,y
	END

	INTERFACE TO SUBROUTINE
     +             moveto[FAR,C,ALIAS:"__f_moveto"](x,y,s)
	INTEGER*2 x,y
	STRUCTURE/xycoord/
	  INTEGER*2 xcoord
	  INTEGER*2 ycoord
	END STRUCTURE
	RECORD/xycoord/s[FAR,REFERENCE]
	END

       subroutine makel(ix,iy,jx,jy)
       integer*2 setcolor,lineto,setpixel,ix,iy,jx,jy,color,istat
	structure/xycoord/
	  integer*2 xcoord
	  integer*2 ycoord
	end structure
       record/xycoord/xy

       call moveto(ix,iy,xy)
       istat=lineto(jx,jy)
       return
       entry mcolor(color)
       istat=setcolor(color)
       return
       entry makep(ix,iy)
       istat=setpixel(ix,iy)
       return
       end
